GIT-ANNOTATE(1)

NAME
git-annotate - Annotate file lines with commit info

SYNOPSIS
git-annotate [options] file [revision]

DESCRIPTION
Annotates each line in the given file with information from the commit which introduced the line. Optionally annotate from a given revision.

OPTIONS

-l, --long
    Show long rev (Defaults off).

-t, --time
    Show raw timestamp (Defaults off).

-r, --rename
    Follow renames (Defaults on).

-S, --rev-file <revs-file>
    Use revs from revs-file instead of calling git-rev-list.

-h, --help
    Show help message.

SEE ALSO
git-blame(1)

AUTHOR
Written by Ryan Anderson <ryan@michonline.com>.

GIT
Part of the git(7) suite